Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgDB::ReaderWriter::ReadResult Class Reference

List of all members.

## Public Types
enum | ReadStatus { FILE_NOT_HANDLED, FILE_NOT_FOUND, FILE_LOADED, FILE_LOADED_FROM_CACHE, ERROR_IN_READING_FILE }
## Public Member Functions
| ReadResult (ReadStatus status=FILE_NOT_HANDLED)
| ReadResult (const std::string &m)
| ReadResult (osg::Object *obj, ReadStatus status=FILE_LOADED)
| ReadResult (const ReadResult &rr)
ReadResult & | operator= (const ReadResult &rr)
osg::Object * | getObject ()
osg::Image * | getImage ()
osg::HeightField * | getHeightField ()
osg::Node * | getNode ()
osgDB::Archive * | getArchive ()
bool | validObject ()
bool | validImage ()
bool | validHeightField ()
bool | validNode ()
bool | validArchive ()
osg::Object * | takeObject ()
osg::Image * | takeImage ()
osg::HeightField * | takeHeightField ()
osg::Node * | takeNode ()
osgDB::Archive * | takeArchive ()
const std::string & | message () const
ReadStatus | status () const
bool | success () const
bool | loadedFromCache () const
bool | error () const
bool | notHandled () const
bool | notFound () const
## Protected Attributes
ReadStatus | _status
std::string | _message
osg::ref_ptr< osg::Object > | _object

## Member Enumeration Documentation

enum osgDB::ReaderWriter::ReadResult::ReadStatus

  | Enumeration values:
  FILE_NOT_HANDLED |
  FILE_NOT_FOUND |
  FILE_LOADED |
  FILE_LOADED_FROM_CACHE |
  ERROR_IN_READING_FILE |

## Constructor & Destructor Documentation

osgDB::ReaderWriter::ReadResult::ReadResult | ( | ReadStatus | status = FILE_NOT_HANDLED | ) | `[inline]`

osgDB::ReaderWriter::ReadResult::ReadResult | ( | const std::string & | m | ) | `[inline]`

osgDB::ReaderWriter::ReadResult::ReadResult | ( | osg::Object * | obj,
|  | ReadStatus | status = FILE_LOADED
| ) | `[inline]`

osgDB::ReaderWriter::ReadResult::ReadResult | ( | const ReadResult & | rr | ) | `[inline]`

## Member Function Documentation

bool osgDB::ReaderWriter::ReadResult::error | ( |  | ) | const`[inline]`

osgDB::Archive* osgDB::ReaderWriter::ReadResult::getArchive | ( |  | ) |

osg::HeightField* osgDB::ReaderWriter::ReadResult::getHeightField | ( |  | ) |

osg::Image* osgDB::ReaderWriter::ReadResult::getImage | ( |  | ) |

osg::Node* osgDB::ReaderWriter::ReadResult::getNode | ( |  | ) |

osg::Object* osgDB::ReaderWriter::ReadResult::getObject | ( |  | ) |

bool osgDB::ReaderWriter::ReadResult::loadedFromCache | ( |  | ) | const`[inline]`

const std::string& osgDB::ReaderWriter::ReadResult::message | ( |  | ) | const`[inline]`

bool osgDB::ReaderWriter::ReadResult::notFound | ( |  | ) | const`[inline]`

bool osgDB::ReaderWriter::ReadResult::notHandled | ( |  | ) | const`[inline]`

ReadResult& osgDB::ReaderWriter::ReadResult::operator= | ( | const ReadResult & | rr | ) | `[inline]`

ReadStatus osgDB::ReaderWriter::ReadResult::status | ( |  | ) | const`[inline]`

bool osgDB::ReaderWriter::ReadResult::success | ( |  | ) | const`[inline]`

osgDB::Archive* osgDB::ReaderWriter::ReadResult::takeArchive | ( |  | ) |

osg::HeightField* osgDB::ReaderWriter::ReadResult::takeHeightField | ( |  | ) |

osg::Image* osgDB::ReaderWriter::ReadResult::takeImage | ( |  | ) |

osg::Node* osgDB::ReaderWriter::ReadResult::takeNode | ( |  | ) |

osg::Object* osgDB::ReaderWriter::ReadResult::takeObject | ( |  | ) |

bool osgDB::ReaderWriter::ReadResult::validArchive | ( |  | ) | `[inline]`

bool osgDB::ReaderWriter::ReadResult::validHeightField | ( |  | ) | `[inline]`

bool osgDB::ReaderWriter::ReadResult::validImage | ( |  | ) | `[inline]`

bool osgDB::ReaderWriter::ReadResult::validNode | ( |  | ) | `[inline]`

bool osgDB::ReaderWriter::ReadResult::validObject | ( |  | ) | `[inline]`

## Member Data Documentation

std::string osgDB::ReaderWriter::ReadResult::_message`[protected]`

osg::ref_ptr<osg::Object> osgDB::ReaderWriter::ReadResult::_object`[protected]`

ReadStatus osgDB::ReaderWriter::ReadResult::_status`[protected]`

The documentation for this class was generated from the following file:

- osgDB/ReaderWriter